/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonClose.h"

using namespace KWinInternal;

static const char * close_xpm[] = {
"22 16 71 1",
" 	c None",
".	c #FFFFFF",
"+	c #E1E1E1",
"@	c #C4C4C4",
"#	c #AEAEAE",
"$	c #A1A1A1",
"%	c #C3C3C3",
"&	c #DFDFDF",
"*	c #FEFEFE",
"=	c #F5F5F5",
"-	c #CACACA",
";	c #BDBDBD",
">	c #D9D9D9",
",	c #ECECEC",
"'	c #FAFAFA",
")	c #EEEEEE",
"!	c #D8D8D8",
"~	c #FDFDFD",
"{	c #D1D1D1",
"]	c #F9F9F9",
"^	c #F8F8F8",
"/	c #D2D2D2",
"(	c #C8C8C8",
"_	c #DEDEDE",
":	c #F7F7F7",
"<	c #E9E9E9",
"[	c #EAEAEA",
"}	c #BBBBBB",
"|	c #C1C1C1",
"1	c #D4D4D4",
"2	c #E6E6E6",
"3	c #A5A5A5",
"4	c #E2E2E2",
"5	c #E5E5E5",
"6	c #F4F4F4",
"7	c #ABABAB",
"8	c #E7E7E7",
"9	c #F2F2F2",
"0	c #F3F3F3",
"a	c #E3E3E3",
"b	c #A7A7A7",
"c	c #AAAAAA",
"d	c #FCFCFC",
"e	c #FBFBFB",
"f	c #F0F0F0",
"g	c #F1F1F1",
"h	c #EFEFEF",
"i	c #9F9F9F",
"j	c #A9A9A9",
"k	c #EDEDED",
"l	c #DDDDDD",
"m	c #DCDCDC",
"n	c #C0C0C0",
"o	c #CCCCCC",
"p	c #E8E8E8",
"q	c #A8A8A8",
"r	c #DBDBDB",
"s	c #CECECE",
"t	c #BEBEBE",
"u	c #F6F6F6",
"v	c #D5D5D5",
"w	c #B6B6B6",
"x	c #E4E4E4",
"y	c #B7B7B7",
"z	c #C7C7C7",
"A	c #C2C2C2",
"B	c #CBCBCB",
"C	c #B5B5B5",
"D	c #EBEBEB",
"E	c #D0D0D0",
"F	c #BABABA",
"........+@#$#%&.*...**",
"******=-;>,')!;-=***~*",
".****~-{]''^''^/(*~~**",
"*****_;:^<^^:[=]}&..**",
".****|1=234=43561|****",
"*~~**7890a31b+992c.d.~",
"e''''$,fgh{i{fgfh$d']'",
"]]]]]j4kklb/bmhk47^^^^",
"=====nop8qr[rc8,st:uuu",
"06600vwppx[p<8<8yv0690",
"99gggg|@85p2882zAfgggg",
")kkk))8|w-r5mBCA2)h)hh",
"DDDD,D[[EFq$cF{DDD,DDD",
"88ppppppp<pp8828p8p<pp",
"p888p8p8p8[p8p2pp[ppp<",
"555555255x5555555xxax5"};

static const char * close_over_xpm[] = {
"22 16 80 1",
" 	c None",
".	c #FFFFFF",
"+	c #E1E1E1",
"@	c #C4C4C4",
"#	c #AEAEAE",
"$	c #A1A1A1",
"%	c #C3C3C3",
"&	c #DFDFDF",
"*	c #FEFEFE",
"=	c #F5F5F5",
"-	c #CACACA",
";	c #BDBDBD",
">	c #D9D9D9",
",	c #ECECEC",
"'	c #FAFAFA",
")	c #EEEEEE",
"!	c #D8D8D8",
"~	c #FDFDFD",
"{	c #D1D1D1",
"]	c #F9F9F9",
"^	c #F8F8F8",
"/	c #D2D2D2",
"(	c #C8C8C8",
"_	c #DEDEDE",
":	c #F7F7F7",
"<	c #E9E9E9",
"[	c #EAEAEA",
"}	c #BBBBBB",
"|	c #C1C1C1",
"1	c #D4D4D4",
"2	c #E6E6E6",
"3	c #646464",
"4	c #E2E2E2",
"5	c #6A6A6A",
"6	c #E5E5E5",
"7	c #F4F4F4",
"8	c #ABABAB",
"9	c #E7E7E7",
"0	c #F2F2F2",
"a	c #F3F3F3",
"b	c #D5D5D5",
"c	c #636363",
"d	c #CECECE",
"e	c #616161",
"f	c #CFCFCF",
"g	c #AAAAAA",
"h	c #FCFCFC",
"i	c #FBFBFB",
"j	c #F0F0F0",
"k	c #F1F1F1",
"l	c #EFEFEF",
"m	c #6B6B6B",
"n	c #A9A9A9",
"o	c #EDEDED",
"p	c #D6D6D6",
"q	c #696969",
"r	c #CBCBCB",
"s	c #656565",
"t	c #DCDCDC",
"u	c #C0C0C0",
"v	c #CCCCCC",
"w	c #E8E8E8",
"x	c #E0E0E0",
"y	c #666666",
"z	c #CDCDCD",
"A	c #6E6E6E",
"B	c #BEBEBE",
"C	c #F6F6F6",
"D	c #B6B6B6",
"E	c #E4E4E4",
"F	c #B7B7B7",
"G	c #C7C7C7",
"H	c #C2C2C2",
"I	c #DBDBDB",
"J	c #B5B5B5",
"K	c #EBEBEB",
"L	c #D0D0D0",
"M	c #BABABA",
"N	c #A8A8A8",
"O	c #E3E3E3",
"........+@#$#%&.*...**",
"******=-;>,')!;-=***~*",
".****~-{]''^''^/(*~~**",
"*****_;:^<^^:[=]}&..**",
".****|1=234=45671|****",
"*~~**890abcdef002g.h.~",
"i''''$,jkl@m{jkjl$h']'",
"]]]]]n4oopqrstlo48^^^^",
"=====uvwxy1[zA+,dB:CCC",
"a77aabDwwE[w<+w9Fba70a",
"00kkkk|@96w2992GHjkkkk",
")ooo))9|D-I6trJH2)l)ll",
"KKKK,K[[LMN$gM{KKK,KKK",
"99wwwwwww<ww9929w9w<ww",
"w999w9w9w9[w9w2ww[www<",
"666666266E6666666EEOE6"};

static const char * close_down_xpm[] = {
"22 16 77 1",
" 	c None",
".	c #FFFFFF",
"+	c #E1E1E1",
"@	c #C4C4C4",
"#	c #AEAEAE",
"$	c #A1A1A1",
"%	c #C3C3C3",
"&	c #DFDFDF",
"*	c #FEFEFE",
"=	c #F5F5F5",
"-	c #CACACA",
";	c #BABABA",
">	c #CECECE",
",	c #DBDBDB",
"'	c #E5E5E5",
")	c #DCDCDC",
"!	c #CDCDCD",
"~	c #FDFDFD",
"{	c #CBCBCB",
"]	c #E4E4E4",
"^	c #CCCCCC",
"/	c #C8C8C8",
"(	c #DEDEDE",
"_	c #E3E3E3",
":	c #D6D6D6",
"<	c #D7D7D7",
"[	c #B8B8B8",
"}	c #C1C1C1",
"|	c #D3D3D3",
"1	c #979797",
"2	c #CFCFCF",
"3	c #D2D2D2",
"4	c #E0E0E0",
"5	c #ABABAB",
"6	c #D0D0D0",
"7	c #999999",
"8	c #D5D5D5",
"9	c #AAAAAA",
"0	c #FCFCFC",
"a	c #FBFBFB",
"b	c #FAFAFA",
"c	c #D9D9D9",
"d	c #DDDDDD",
"e	c #C0C0C0",
"f	c #929292",
"g	c #F9F9F9",
"h	c #A9A9A9",
"i	c #D1D1D1",
"j	c #F8F8F8",
"k	c #C2C2C2",
"l	c #D4D4D4",
"m	c #9A9A9A",
"n	c #C9C9C9",
"o	c #9C9C9C",
"p	c #BEBEBE",
"q	c #F7F7F7",
"r	c #F6F6F6",
"s	c #F3F3F3",
"t	c #F4F4F4",
"u	c #B3B3B3",
"v	c #B4B4B4",
"w	c #F2F2F2",
"x	c #F1F1F1",
"y	c #BFBFBF",
"z	c #F0F0F0",
"A	c #EEEEEE",
"B	c #EDEDED",
"C	c #E7E7E7",
"D	c #B2B2B2",
"E	c #E6E6E6",
"F	c #EFEFEF",
"G	c #EBEBEB",
"H	c #ECECEC",
"I	c #EAEAEA",
"J	c #A8A8A8",
"K	c #E8E8E8",
"L	c #E9E9E9",
"........+@#$#%&.*...**",
"******=-;>,')!;-=***~*",
".****~-{]'']'']^/*~~**",
"*****(;_]:]]_<+][&..**",
".****}-+|12+2134-}****",
"*~~**5:(&61%7>((89.0.~",
"abbbb$c)d,efe)d),$0bgb",
"ggggghicc{7}7-,ci5jjjj",
"=====ek8lmn<nolc@pqrrr",
"sttss8u88i<8:l:lv8stws",
"wwxxxx}yl38|ll|kkzxxxx",
"ABBBAAC}ue{3^}DkEAFAFF",
"GGGGHGII6;J$9;iGGGHGGG",
"CCKKKKKKKLKKCCECKCKLKK",
"KCCCKCKCKCIKCKEKKIKKKL",
"''''''E'']''''''']]_]'"};

AcquaButtonClose::AcquaButtonClose(QWidget * parent)
  : AcquaButton(parent, i18n("Close"))
{
    pixmap_=QPixmap(close_xpm);
    pixmap_over=QPixmap(close_over_xpm);
    pixmap_down=QPixmap(close_down_xpm);
}

  void
AcquaButtonClose::clickEvent(int /* button */)
{
  emit(closeWindow());
}

#include "AcquaButtonClose.moc"
// vim:ts=2:sw=2:tw=78:set et:
