/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonIconify.h"

using namespace KWinInternal;

static const char * minimize_xpm[] = {
"22 16 65 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C4C4C4",
"$	c #AEAEAE",
"%	c #A0A0A0",
"&	c #C6C6C6",
"*	c #E1E1E1",
"=	c #F6F6F6",
"-	c #CBCBCB",
";	c #BDBDBD",
">	c #DADADA",
",	c #EDEDED",
"'	c #FAFAFA",
")	c #D8D8D8",
"!	c #CACACA",
"~	c #F5F5F5",
"{	c #C9C9C9",
"]	c #D1D1D1",
"^	c #F9F9F9",
"/	c #FBFBFB",
"(	c #FDFDFD",
"_	c #DEDEDE",
":	c #BABABA",
"<	c #F7F7F7",
"[	c #F8F8F8",
"}	c #BCBCBC",
"|	c #C2C2C2",
"1	c #D4D4D4",
"2	c #F3F3F3",
"3	c #F4F4F4",
"4	c #D5D5D5",
"5	c #C1C1C1",
"6	c #ACACAC",
"7	c #E6E6E6",
"8	c #F2F2F2",
"9	c #AAAAAA",
"0	c #A2A2A2",
"a	c #EBEBEB",
"b	c #EFEFEF",
"c	c #EEEEEE",
"d	c #F1F1F1",
"e	c #9F9F9F",
"f	c #ABABAB",
"g	c #E2E2E2",
"h	c #ECECEC",
"i	c #EAEAEA",
"j	c #CFCFCF",
"k	c #D2D2D2",
"l	c #A9A9A9",
"m	c #BFBFBF",
"n	c #CDCDCD",
"o	c #E5E5E5",
"p	c #E9E9E9",
"q	c #B5B5B5",
"r	c #E8E8E8",
"s	c #B6B6B6",
"t	c #C7C7C7",
"u	c #E7E7E7",
"v	c #C8C8C8",
"w	c #C0C0C0",
"x	c #DCDCDC",
"y	c #B4B4B4",
"z	c #E4E4E4",
"..+..++.@#$%$&*.......",
"++++.+=-;>,',);!~+++++",
"++++.+{]^''''/^]!(.+++",
"+.+++_:<[^[<[<<=}_+.++",
"+++++|1~~2~~33~~45.(++",
"(((+(6728388238879((((",
"''/'^0abbcdbb,8dce^'''",
"[[[^<fghijjjjk,b*l[<[^",
"~~3~~mnaommmm5phn;=~~=",
"222324qpripppirrs4~23~",
"dd8dd8|trrruuruv58d22d",
",,c,c,7wq!xox!y|u,,cc,",
"aapaahaa]}lel:]aiaaaai",
"uurrru7r7upuprrrrrrrru",
"rrpipriripriuuu7rrrrrr",
"ooo7oooooooozooo7ooooo"};

static const char * minimize_over_xpm[] = {
"22 16 70 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C4C4C4",
"$	c #AEAEAE",
"%	c #A0A0A0",
"&	c #C6C6C6",
"*	c #E1E1E1",
"=	c #F6F6F6",
"-	c #CBCBCB",
";	c #BDBDBD",
">	c #DADADA",
",	c #EDEDED",
"'	c #FAFAFA",
")	c #D8D8D8",
"!	c #CACACA",
"~	c #F5F5F5",
"{	c #C9C9C9",
"]	c #D1D1D1",
"^	c #F9F9F9",
"/	c #FBFBFB",
"(	c #FDFDFD",
"_	c #DEDEDE",
":	c #BABABA",
"<	c #F7F7F7",
"[	c #F8F8F8",
"}	c #BCBCBC",
"|	c #C2C2C2",
"1	c #D4D4D4",
"2	c #F3F3F3",
"3	c #F4F4F4",
"4	c #D5D5D5",
"5	c #C1C1C1",
"6	c #ACACAC",
"7	c #E6E6E6",
"8	c #F2F2F2",
"9	c #AAAAAA",
"0	c #A2A2A2",
"a	c #EBEBEB",
"b	c #EFEFEF",
"c	c #EEEEEE",
"d	c #F1F1F1",
"e	c #9F9F9F",
"f	c #ABABAB",
"g	c #E2E2E2",
"h	c #ECECEC",
"i	c #EAEAEA",
"j	c #CFCFCF",
"k	c #D2D2D2",
"l	c #A9A9A9",
"m	c #BFBFBF",
"n	c #CDCDCD",
"o	c #676767",
"p	c #686868",
"q	c #737373",
"r	c #7D7D7D",
"s	c #888888",
"t	c #E9E9E9",
"u	c #B5B5B5",
"v	c #E8E8E8",
"w	c #B6B6B6",
"x	c #C7C7C7",
"y	c #E7E7E7",
"z	c #C8C8C8",
"A	c #C0C0C0",
"B	c #DCDCDC",
"C	c #E5E5E5",
"D	c #B4B4B4",
"E	c #E4E4E4",
"..+..++.@#$%$&*.......",
"++++.+=-;>,',);!~+++++",
"++++.+{]^''''/^]!(.+++",
"+.+++_:<[^[<[<<=}_+.++",
"+++++|1~~2~~33~~45.(++",
"(((+(6728388238879((((",
"''/'^0abbcdbb,8dce^'''",
"[[[^<fghijjjjk,b*l[<[^",
"~~3~~mnakopqrsthn;=~~=",
"222324utvitttivvw4~23~",
"dd8dd8|xvvvyyvyz58d22d",
",,c,c,7Au!BCB!D|y,,cc,",
"aataahaa]}lel:]aiaaaai",
"yyvvvy7v7ytytvvvvvvvvy",
"vvtitvivitviyyy7vvvvvv",
"CCC7CCCCCCCCECCC7CCCCC"};

static const char * minimize_down_xpm[] = {
"22 16 79 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #DBDBDB",
"#	c #B9B9B9",
"$	c #A1A1A1",
"%	c #939393",
"&	c #BBBBBB",
"*	c #F6F6F6",
"=	c #C1C1C1",
"-	c #ADADAD",
";	c #C8C8C8",
">	c #D9D9D9",
",	c #E5E5E5",
"'	c #C6C6C6",
")	c #C0C0C0",
"!	c #F5F5F5",
"~	c #BFBFBF",
"{	c #E4E4E4",
"]	c #E6E6E6",
"^	c #FDFDFD",
"/	c #ABABAB",
"(	c #E3E3E3",
"_	c #E2E2E2",
":	c #B7B7B7",
"<	c #C3C3C3",
"[	c #E1E1E1",
"}	c #DFDFDF",
"|	c #E0E0E0",
"1	c #B6B6B6",
"2	c #9F9F9F",
"3	c #D3D3D3",
"4	c #DEDEDE",
"5	c #9D9D9D",
"6	c #FAFAFA",
"7	c #FBFBFB",
"8	c #F9F9F9",
"9	c #959595",
"0	c #D8D8D8",
"a	c #DADADA",
"b	c #DDDDDD",
"c	c #929292",
"d	c #F8F8F8",
"e	c #F7F7F7",
"f	c #9E9E9E",
"g	c #CFCFCF",
"h	c #D7D7D7",
"i	c #BEBEBE",
"j	c #CECECE",
"k	c #9C9C9C",
"l	c #F4F4F4",
"m	c #B4B4B4",
"n	c #BCBCBC",
"o	c #D2D2D2",
"p	c #AFAFAF",
"q	c #B1B1B1",
"r	c #D6D6D6",
"s	c #B2B2B2",
"t	c #F3F3F3",
"u	c #D0D0D0",
"v	c #A6A6A6",
"w	c #D5D5D5",
"x	c #A7A7A7",
"y	c #F1F1F1",
"z	c #F2F2F2",
"A	c #B8B8B8",
"B	c #D4D4D4",
"C	c #EDEDED",
"D	c #EEEEEE",
"E	c #CACACA",
"F	c #A5A5A5",
"G	c #E7E7E7",
"H	c #EBEBEB",
"I	c #E9E9E9",
"J	c #ECECEC",
"K	c #CCCCCC",
"L	c #B0B0B0",
"M	c #EAEAEA",
"N	c #E8E8E8",
"..+..++.@#$%$&@.......",
"++++.+*=-;>,>'-)!+++++",
"++++.+~){,,,,]{))^.+++",
"+.+++>/({{{({((_->+.++",
"+++++:<[[}[[||[[<1.^++",
"^^^+^23}4|44}|4435^^^^",
"6676890@@ab@@>4bac8666",
"ddd8efg>hiiii=>@jkded8",
"!!l!!mn0oppppqr>ns*!!*",
"tttltuvrwhrrrhwwxu!tl!",
"yyzyyzA:wwwBBwBA:zytty",
"CCDCDC]1v#EoE#FAGCCDDC",
"HHIHHJHHKskckLKHMHHHHM",
"GGNNNG]N]GIGINNNNNNNNG",
"NNIMINMNMINMGGG]NNNNNN",
",,,],,,,,,,,{,,,],,,,,"};



AcquaButtonIconify::AcquaButtonIconify(QWidget * parent)
  : AcquaButton(parent, i18n("Minimize"))
{
  pixmap_=QPixmap(minimize_xpm);
  pixmap_over=QPixmap(minimize_over_xpm);
  pixmap_down=QPixmap(minimize_down_xpm);
}

  void
AcquaButtonIconify::clickEvent(int /* button */)
{
  emit(iconify());
}

#include "AcquaButtonIconify.moc"
// vim:ts=2:sw=2:tw=78:set et:
