/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonMaximize.h"

using namespace KWinInternal;

static const char * maximize_xpm[] = {
"22 16 77 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C5C5C5",
"$	c #AEAEAE",
"%	c #A1A1A1",
"&	c #FDFDFD",
"*	c #F6F6F6",
"=	c #CBCBCB",
"-	c #BDBDBD",
";	c #D9D9D9",
">	c #EEEEEE",
",	c #FBFBFB",
"'	c #EDEDED",
")	c #D7D7D7",
"!	c #C9C9C9",
"~	c #D2D2D2",
"{	c #F9F9F9",
"]	c #F8F8F8",
"^	c #FCFCFC",
"/	c #FAFAFA",
"(	c #D0D0D0",
"_	c #DDDDDD",
":	c #BCBCBC",
"<	c #F7F7F7",
"[	c #EAEAEA",
"}	c #E9E9E9",
"|	c #E8E8E8",
"1	c #F5F5F5",
"2	c #BABABA",
"3	c #C1C1C1",
"4	c #D4D4D4",
"5	c #F0F0F0",
"6	c #B3B3B3",
"7	c #B9B9B9",
"8	c #B1B1B1",
"9	c #ADADAD",
"0	c #E4E4E4",
"a	c #F3F3F3",
"b	c #ECECEC",
"c	c #B7B7B7",
"d	c #EFEFEF",
"e	c #E6E6E6",
"f	c #ACACAC",
"g	c #A2A2A2",
"h	c #AFAFAF",
"i	c #E3E3E3",
"j	c #E2E2E2",
"k	c #DCDCDC",
"l	c #E5E5E5",
"m	c #B0B0B0",
"n	c #DFDFDF",
"o	c #DBDBDB",
"p	c #AAAAAA",
"q	c #F4F4F4",
"r	c #CDCDCD",
"s	c #EBEBEB",
"t	c #B6B6B6",
"u	c #B2B2B2",
"v	c #CECECE",
"w	c #BFBFBF",
"x	c #D6D6D6",
"y	c #B5B5B5",
"z	c #E7E7E7",
"A	c #F1F1F1",
"B	c #F2F2F2",
"C	c #C0C0C0",
"D	c #C6C6C6",
"E	c #C7C7C7",
"F	c #C2C2C2",
"G	c #CACACA",
"H	c #C8C8C8",
"I	c #A0A0A0",
"J	c #A9A9A9",
"K	c #BBBBBB",
"L	c #D1D1D1",
"....+...@#$%$#@...+...",
"+++&++*=-;>,')-!*+++++",
"+.+&+.!~{]^,{/{(!&++++",
"+.++._:*<[}|}}]12@.++&",
"++&++34*5627781<43++++",
"+&&++90ab977c9adef&&&&",
",,^//gddbhijkh55'%,,,/",
"]{{]<9@'lm@nom'>jp/]{{",
"1<1q*-rs0mcctubbvw*1*1",
"q*11axy|}[}}|||zcxqaqa",
"ABAABaCDzz|zeeeEFBA5AA",
"'>>'>'eCtGo0kHtCe'''>>",
"[[[[bsb}~2pIJKLsb[}sss",
"zzzz}zz||z||zz|z}|}|||",
"|||}z|z|zz}|}|zz}z|zz|",
"lllle0lllllllll0llllll"};


static const char * maximize_over_xpm[] = {
"22 16 87 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C5C5C5",
"$	c #AEAEAE",
"%	c #A1A1A1",
"&	c #FDFDFD",
"*	c #F6F6F6",
"=	c #CBCBCB",
"-	c #BDBDBD",
";	c #D9D9D9",
">	c #EEEEEE",
",	c #FBFBFB",
"'	c #EDEDED",
")	c #D7D7D7",
"!	c #C9C9C9",
"~	c #D2D2D2",
"{	c #F9F9F9",
"]	c #F8F8F8",
"^	c #FCFCFC",
"/	c #FAFAFA",
"(	c #D0D0D0",
"_	c #DDDDDD",
":	c #BCBCBC",
"<	c #F7F7F7",
"[	c #EAEAEA",
"}	c #E9E9E9",
"|	c #E8E8E8",
"1	c #F5F5F5",
"2	c #BABABA",
"3	c #C1C1C1",
"4	c #D4D4D4",
"5	c #F0F0F0",
"6	c #747474",
"7	c #848484",
"8	c #787878",
"9	c #828282",
"0	c #939393",
"a	c #ADADAD",
"b	c #E4E4E4",
"c	c #F3F3F3",
"d	c #ECECEC",
"e	c #686868",
"f	c #8A8A8A",
"g	c #7E7E7E",
"h	c #8E8E8E",
"i	c #EFEFEF",
"j	c #E6E6E6",
"k	c #ACACAC",
"l	c #A2A2A2",
"m	c #838383",
"n	c #E3E3E3",
"o	c #E2E2E2",
"p	c #DCDCDC",
"q	c #7B7B7B",
"r	c #E5E5E5",
"s	c #808080",
"t	c #DFDFDF",
"u	c #DBDBDB",
"v	c #AAAAAA",
"w	c #F4F4F4",
"x	c #CDCDCD",
"y	c #EBEBEB",
"z	c #818181",
"A	c #727272",
"B	c #767676",
"C	c #8F8F8F",
"D	c #CECECE",
"E	c #BFBFBF",
"F	c #D6D6D6",
"G	c #B5B5B5",
"H	c #E7E7E7",
"I	c #B7B7B7",
"J	c #F1F1F1",
"K	c #F2F2F2",
"L	c #C0C0C0",
"M	c #C6C6C6",
"N	c #C7C7C7",
"O	c #C2C2C2",
"P	c #B6B6B6",
"Q	c #CACACA",
"R	c #C8C8C8",
"S	c #A0A0A0",
"T	c #A9A9A9",
"U	c #BBBBBB",
"V	c #D1D1D1",
"....+...@#$%$#@...+...",
"+++&++*=-;>,')-!*+++++",
"+.+&+.!~{]^,{/{(!&++++",
"+.++._:*<[}|}}]12@.++&",
"++&++34*5678901<43++++",
"+&&++abcde9fghcijk&&&&",
",,^//liidmnopq55'%,,,/",
"]{{]<a@'rs@tu7'>ov/]{{",
"1<1w*-xybzA7BCddDE*1*1",
"w*11cFG|}[}}|||HIFwcwc",
"JKJJKcLMHH|HjjjNOKJ5JJ",
"'>>'>'jLPQubpRPLj'''>>",
"[[[[dyd}~2vSTUVyd[}yyy",
"HHHH}HH||H||HH|H}|}|||",
"|||}H|H|HH}|}|HH}H|HH|",
"rrrrjbrrrrrrrrrbrrrrrr"};


static const char * maximize_down_xpm[] = {
"22 16 84 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #DBDBDB",
"#	c #BABABA",
"$	c #A1A1A1",
"%	c #949494",
"&	c #FDFDFD",
"*	c #F6F6F6",
"=	c #C1C1C1",
"-	c #ADADAD",
";	c #C7C7C7",
">	c #DADADA",
",	c #E6E6E6",
"'	c #D9D9D9",
")	c #C5C5C5",
"!	c #BFBFBF",
"~	c #E4E4E4",
"{	c #E7E7E7",
"]	c #E5E5E5",
"^	c #D8D8D8",
"/	c #E2E2E2",
"(	c #E3E3E3",
"_	c #D7D7D7",
":	c #D6D6D6",
"<	c #D5D5D5",
"[	c #E1E1E1",
"}	c #ABABAB",
"|	c #B6B6B6",
"1	c #C3C3C3",
"2	c #DCDCDC",
"3	c #A4A4A4",
"4	c #AAAAAA",
"5	c #A2A2A2",
"6	c #A0A0A0",
"7	c #D1D1D1",
"8	c #DFDFDF",
"9	c #9F9F9F",
"0	c #A8A8A8",
"a	c #D3D3D3",
"b	c #FBFBFB",
"c	c #FCFCFC",
"d	c #FAFAFA",
"e	c #959595",
"f	c #D0D0D0",
"g	c #CFCFCF",
"h	c #CACACA",
"i	c #F8F8F8",
"j	c #F9F9F9",
"k	c #F7F7F7",
"l	c #CECECE",
"m	c #D2D2D2",
"n	c #CDCDCD",
"o	c #C9C9C9",
"p	c #9D9D9D",
"q	c #F5F5F5",
"r	c #F4F4F4",
"s	c #B2B2B2",
"t	c #BCBCBC",
"u	c #A7A7A7",
"v	c #A3A3A3",
"w	c #BDBDBD",
"x	c #B4B4B4",
"y	c #F3F3F3",
"z	c #A6A6A6",
"A	c #D4D4D4",
"B	c #F1F1F1",
"C	c #F2F2F2",
"D	c #B7B7B7",
"E	c #B8B8B8",
"F	c #F0F0F0",
"G	c #EDEDED",
"H	c #EEEEEE",
"I	c #B9B9B9",
"J	c #EAEAEA",
"K	c #ECECEC",
"L	c #EBEBEB",
"M	c #E9E9E9",
"N	c #B0B0B0",
"O	c #939393",
"P	c #9C9C9C",
"Q	c #B1B1B1",
"R	c #CCCCCC",
"S	c #E8E8E8",
"....+...@#$%$#@...+...",
"+++&++*=-;>,')-!*+++++",
"+.+&+.!=~~{,~]~!!&++++",
"+.++.^-/(_:<::~[}@.++&",
"++&++|1/23}445[(1|++++",
"+&&++678'944098@a9&&&&",
"bbcdde@@'$fgh$22'%bbbd",
"ijjik6l'm5lno5'>gpdijj",
"qkqr*st^7500uv''wx*q*q",
"r*qqy7z<:_::<<<A07ryry",
"BCBBCy||AA<AaaaDECBFBB",
"GHHGHG,|uIo7hEu|,GGGHH",
"JJJJKLKMnNpOPQRLKJMLLL",
"{{{{M{{SS{SS{{S{MSMSSS",
"SSSM{S{S{{MSMS{{M{S{{S",
"]]]],~]]]]]]]]]~]]]]]]"};


AcquaButtonMaximize::AcquaButtonMaximize(bool max, QWidget * parent)
  : AcquaButton(parent, i18n("Maximize"))
{
  pixmap_=QPixmap(maximize_xpm);
  pixmap_over=QPixmap(maximize_over_xpm);
  pixmap_down=QPixmap(maximize_down_xpm);
}

  void
AcquaButtonMaximize::slotMaximizeChange(bool max)
{
  setTipText(max ? i18n("Restore") : i18n("Maximize"));
}


void
AcquaButtonMaximize::clickEvent(int button)
{
  emit(maximize(button));
}

#include "AcquaButtonMaximize.moc"
// vim:ts=2:sw=2:tw=78:set et:
