/*
  'Acqua' kwin client

  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "AcquaButtonMenu.h"

using namespace KWinInternal;
static const char * menu_xpm[] = {
"22 16 64 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C4C4C4",
"$	c #AEAEAE",
"%	c #A0A0A0",
"&	c #C6C6C6",
"*	c #E1E1E1",
"=	c #F6F6F6",
"-	c #CBCBCB",
";	c #BDBDBD",
">	c #DADADA",
",	c #EDEDED",
"'	c #FAFAFA",
")	c #D8D8D8",
"!	c #CACACA",
"~	c #F5F5F5",
"{	c #C9C9C9",
"]	c #D1D1D1",
"^	c #F9F9F9",
"/	c #FBFBFB",
"(	c #FDFDFD",
"_	c #DEDEDE",
":	c #BABABA",
"<	c #F7F7F7",
"[	c #F8F8F8",
"}	c #BCBCBC",
"|	c #C2C2C2",
"1	c #D4D4D4",
"2	c #F3F3F3",
"3	c #F4F4F4",
"4	c #D5D5D5",
"5	c #C1C1C1",
"6	c #ACACAC",
"7	c #E6E6E6",
"8	c #F2F2F2",
"9	c #AAAAAA",
"0	c #A2A2A2",
"a	c #EBEBEB",
"b	c #EFEFEF",
"c	c #EEEEEE",
"d	c #F0F0F0",
"e	c #F1F1F1",
"f	c #9F9F9F",
"g	c #ABABAB",
"h	c #E2E2E2",
"i	c #A9A9A9",
"j	c #BFBFBF",
"k	c #CDCDCD",
"l	c #E9E9E9",
"m	c #ECECEC",
"n	c #B5B5B5",
"o	c #E8E8E8",
"p	c #EAEAEA",
"q	c #B6B6B6",
"r	c #C7C7C7",
"s	c #E7E7E7",
"t	c #C8C8C8",
"u	c #C0C0C0",
"v	c #DCDCDC",
"w	c #E5E5E5",
"x	c #B4B4B4",
"y	c #E4E4E4",
"..+..++.@#$%$&*.......",
"++++.+=-;>,',);!~+++++",
"++++.+{]^''''/^]!(.+++",
"+.+++_:<[^[<[<<=}_+.++",
"+++++|1~~2~~33~~45.(++",
"(((+(6728388838879((((",
"''/'^0abbcdbbc8ecf^'''",
"[[[^<gh,cbbbbb,b*i[<[^",
"~~3~~jka,bcbb,lmk;=~~=",
"222324nloalpppooq4~23~",
"ee8ee8|rooossost58e22e",
",,c,c,7un!vwv!x|s,,cc,",
"aalaamaa]}ifi:]apaaaap",
"ssooos7o7slsloooooooos",
"oolplopoplopsss7oooooo",
"www7wwwwwwwwywww7wwwww"};

static const char * menu_over_xpm[] = {
"22 16 64 1",
" 	c None",
".	c #FFFFFF",
"+	c #FEFEFE",
"@	c #E0E0E0",
"#	c #C4C4C4",
"$	c #AEAEAE",
"%	c #A0A0A0",
"&	c #C6C6C6",
"*	c #E1E1E1",
"=	c #F6F6F6",
"-	c #CBCBCB",
";	c #BDBDBD",
">	c #DADADA",
",	c #EDEDED",
"'	c #FAFAFA",
")	c #D8D8D8",
"!	c #CACACA",
"~	c #F5F5F5",
"{	c #C9C9C9",
"]	c #D1D1D1",
"^	c #F9F9F9",
"/	c #FBFBFB",
"(	c #FDFDFD",
"_	c #DEDEDE",
":	c #BABABA",
"<	c #F7F7F7",
"[	c #F8F8F8",
"}	c #BCBCBC",
"|	c #C2C2C2",
"1	c #D4D4D4",
"2	c #F3F3F3",
"3	c #F4F4F4",
"4	c #D5D5D5",
"5	c #C1C1C1",
"6	c #ACACAC",
"7	c #E6E6E6",
"8	c #F2F2F2",
"9	c #AAAAAA",
"0	c #A2A2A2",
"a	c #EBEBEB",
"b	c #EFEFEF",
"c	c #EEEEEE",
"d	c #F0F0F0",
"e	c #F1F1F1",
"f	c #9F9F9F",
"g	c #ABABAB",
"h	c #E2E2E2",
"i	c #A9A9A9",
"j	c #BFBFBF",
"k	c #CDCDCD",
"l	c #E9E9E9",
"m	c #ECECEC",
"n	c #B5B5B5",
"o	c #E8E8E8",
"p	c #EAEAEA",
"q	c #B6B6B6",
"r	c #C7C7C7",
"s	c #E7E7E7",
"t	c #C8C8C8",
"u	c #C0C0C0",
"v	c #DCDCDC",
"w	c #E5E5E5",
"x	c #B4B4B4",
"y	c #E4E4E4",
"..+..++.@#$%$&*.......",
"++++.+=-;>,',);!~+++++",
"++++.+{]^''''/^]!(.+++",
"+.+++_:<[^[<[<<=}_+.++",
"+++++|1~~2~~33~~45.(++",
"(((+(6728388838879((((",
"''/'^0abbcdbbc8ecf^'''",
"[[[^<gh,cbbbbb,b*i[<[^",
"~~3~~jka,bcbb,lmk;=~~=",
"222324nloalpppooq4~23~",
"ee8ee8|rooossost58e22e",
",,c,c,7un!vwv!x|s,,cc,",
"aalaamaa]}ifi:]apaaaap",
"ssooos7o7slsloooooooos",
"oolplopoplopsss7oooooo",
"www7wwwwwwwwywww7wwwww"};

AcquaButtonMenu::AcquaButtonMenu(QWidget * parent)
  : AcquaButton(parent, i18n("Menu"))
{
  pixmap_=QPixmap(menu_xpm);
  pixmap_over=QPixmap(menu_over_xpm);
  pixmap_down=QPixmap(menu_xpm);
}

  void
AcquaButtonMenu::clickEvent(int /* button */)
{
}

  void
AcquaButtonMenu::mousePressEvent(QMouseEvent *e)
{
  AcquaButton::mousePressEvent(e);

  QPoint menuPoint ( rect().bottomLeft() );

  // Move to right if menu on rhs, otherwise on left
  // and make this depend on windowWrapper(), not button.
  emit popupMenu( mapToGlobal( menuPoint ) );

  mouseDown_=false;
  repaint();
}

#include "AcquaButtonMenu.moc"
// vim:ts=2:sw=2:tw=78:set et:
